# Uses of Interface
org.springframework.core.env.ConfigurableEnvironment

Packages that use ConfigurableEnvironment
Package
Description
org.springframework.core.env
Spring's environment abstraction consisting of bean definition profile and hierarchical property source support.
org.springframework.core.io.support
Support classes for Spring's resource abstraction.

## Uses of ConfigurableEnvironment in org.springframework.core.env

Classes in org.springframework.core.env that implement ConfigurableEnvironment
Modifier and Type
Class
Description
`class`
`AbstractEnvironment`
Abstract base class for `Environment` implementations.
`class`
`StandardEnvironment`
`Environment` implementation suitable for use in 'standard' (i.e.
Methods in org.springframework.core.env with parameters of type ConfigurableEnvironment
Modifier and Type
Method
Description
`void`
AbstractEnvironment.`merge(ConfigurableEnvironment parent)`
`void`
ConfigurableEnvironment.`merge(ConfigurableEnvironment parent)`
Append the given parent environment's active profiles, default profiles, and property sources to this (child) environment's respective collections of each.

## Uses of ConfigurableEnvironment in org.springframework.core.io.support

Constructors in org.springframework.core.io.support with parameters of type ConfigurableEnvironment
Modifier
Constructor
Description
``
`PropertySourceProcessor(ConfigurableEnvironment environment, ResourceLoader resourceLoader)`